import java.time.LocalDate;

public class Quote{
  protected LocalDate date;
  protected double price;

  public Quote(LocalDate d, double p){
    this.date = d;
    this.price = p;
  }

  public Quote(String d, double p){
    this(LocalDate.parse(d), p);
  }

  public LocalDate getDate(){
    return this.date;
  }

  public double getPrice(){
    return this.price;
  }

  public boolean isBefore(Quote that){
    return (that != null) && this.date.isBefore(that.getDate());
  }

  public boolean isAfter(Quote that){
    return (that != null) && this.date.isAfter(that.getDate());
  }

  public boolean isHigher(Quote that){
    return (that != null) && this.price > that.getPrice();
  }

  public boolean isLower(Quote that){
    return (that != null) && this.price < that.getPrice();
  }

  public double getReturns(Quote that){
    return (that.getPrice() - this.price) / this.price;
  }
}